function new_lhs_data = append_stats(lhs_data)

new_lhs_data = lhs_data;
new_lhs_data.stat_layout = rmfield(new_lhs_data.stat_layout,'size');

% Add drug stockpile remainder to statistics

% Name
new_lhs_data.stat_names(end+1,1) = {'remstock'};
% Layout
new_lhs_data.stat_layout.remstock = [1 1 1];

new_lhs_data.stat_layout.size = lhs_data.stat_layout.size + 1;

new_lhs_data.stats = cat(3,lhs_data.stats, zeros(1, lhs_data.samples, 1));

last_indx = new_lhs_data.stat_layout.size;

% Calculate value from parameters and statistics and include in statistics
[~,stat_index]=ismember('StockpileUsage',new_lhs_data.stat_names);
seq_of_entries = structfun(@(x) x(1), new_lhs_data.stat_layout);
cum_seq_of_entries = [0 ; cumsum(seq_of_entries(1:end-1))];
stat_indx = (1:seq_of_entries(stat_index)) + cum_seq_of_entries(stat_index);

for i = 1:lhs_data.samples
    stockusage = lhs_data.stats(:,i,stat_indx);  
    new_lhs_data.stats(1,i,last_indx) = lhs_data.parameter_samples.O(i) - stockusage;   
end

end