function the_figure = boxplots_by_param(x_pname,xfn,xaxis,x_partitions,stat,statfn,varargin)

% How many experiments?
if (length(varargin) == 1)
    % One experiment - plot full boxplots of STAT by partitions of X_PNAME
    two_exp = 0;
    expt_1 = varargin{1};
elseif (length(varargin) == 3)
    % Two experiments - plot second as median line for comparison
    two_exp = 1;
    expt_1 = varargin{1};
    expt_2 = varargin{2};
    boxplot_2 = varargin{3};
else
    error('Pass 1 or 2 experiments. If 2 experiments, a final argument specifying plot style (1,0)')
end

% First experiment
x_samples_1 = xfn(expt_1.lhs_data.parameter_samples.(x_pname));
y_samples_1 = zeros(1,expt_1.lhs_data.samples);

% Find index vector for statistic to avoid use of slow layout_rec()
[~,stat_index]=ismember(stat,expt_1.lhs_data.stat_names);
seq_of_entries = structfun(@(x) x(1), expt_1.lhs_data.stat_layout);
cum_seq_of_entries = [0 ; cumsum(seq_of_entries(1:end-1))];
stat_indx = (1:seq_of_entries(stat_index)) + cum_seq_of_entries(stat_index);

for i = 1:expt_1.lhs_data.samples
    %rec = layout_rec(expt_1.lhs_data.stat_layout,expt_1.lhs_data.stats(1,i,:));
    %y_samples_1(i) = statfn(rec.(stat));
    y_samples_1(i) = statfn(expt_1.lhs_data.stats(1,i,stat_indx));
end
[xv_1 md_1 sdd_1 grd_1] = ...
    partition_stat_by_param(x_samples_1,x_partitions+1,xaxis,y_samples_1);

if (two_exp)
    % Second experiment
    x_samples_2 = xfn(expt_2.lhs_data.parameter_samples.(x_pname));
    y_samples_2 = zeros(1,expt_2.lhs_data.samples);
    for i = 1:expt_2.lhs_data.samples
        %rec = layout_rec(expt_2.lhs_data.stat_layout,expt_2.lhs_data.stats(1,i,:));
        %y_samples_2(i) = statfn(rec.(stat));
        y_samples_2(i) = statfn(expt_2.lhs_data.stats(1,i,stat_indx));
    end
    [xv_2 md_2 sdd_2 grd_2] = ...
        partition_stat_by_param(x_samples_2,x_partitions+1,xaxis,y_samples_2);
end

%% Box plot for first experiment, median line for second
the_figure = figure;
boxplot(sdd_1,grd_1,'labels',xv_1+(xv_1(2)-xv_1(1))/2,'labelorientation','inline');
if two_exp
    hold on
    if (boxplot_2)
        set(gca,'XTickLabel',{' '})
        boxplot(sdd_2,grd_2,'plotstyle','compact','labels',xv_1+(xv_1(2)-xv_1(1))/2);
        plot(1:length(xv_2),md_2,'k-.');
        plot(1:length(xv_1),md_1,'g.-');
    else
        plot(1:length(xv_2),md_2,'k-.')
    end
    
end
xlabel(x_pname);
ylabel(stat)
