function [xlo stats_median statsdata grpdata]= partition_stat_by_param(x_param,num_partitions,xaxis,stat)

data=sortrows([x_param',stat']);

% Remove NaNs (either on x_param or stat)
%disp(['Data size ',num2str(size(data))]);
data(any(isnan(data),2),:)=[];
%disp(['Data size post NaN removal ',num2str(size(data))]);

% Now that NaNs are removed, re-separate x_param (p) and statistic (s)
p = data(:,1);
s = data(:,2);

max_p = max(p);
min_p = min(p);

% Cut points
if strcmp(xaxis,'lin')
    cp=linspace(min_p,max_p,num_partitions);
elseif strcmp(xaxis,'log')
    cp=logspace(log10(min_p),log10(max_p),num_partitions);
else
    error('xaxis must be either lin or log');
end

stats_median = cell(num_partitions-1,1);
for i=1:(num_partitions-1)
    x_index = (p >= cp(i)) & (p < cp(i+1));
    statsdata{i,:}=s(x_index);
    
    grpdata{i,:}=repmat(i,1,length(s(x_index)));
    
    stats_median{i,:}=median(statsdata{i,:});
end
stats_median=cell2mat(stats_median);

statsdata=(statsdata(:));
statsdata=cell2mat(statsdata);
grpdata=grpdata';
%grpdata=(grpdata(:));
grpdata=cell2mat(grpdata);
usd = grpdata(1);
xlo = cp(usd:end-1);
xlo = round(xlo.*100)./100;