# Description

This directory contains simulation scripts that explore a variety of scenarios
and intervention strategies, as defined in `master.m` and outlined below:

## Influenza Scenarios

    No | Transmission | Severity
    ---|--------------|---------
     1 | Low          | Low
     2 | High         | Low
     3 | Low          | Medium
     4 | Medium       | Medium
     5 | High         | Medium
     6 | Low          | High
     7 | High         | High

## Antiviral Strategies

Severe (i.e., hospitalised) cases are always provided with antivirals for
treatment. Provision of antivirals for treatment of mild cases, and provision
of antivirals for post-exposure prophylaxis, are subject to various strategies
that come into play after the first 4 weeks (the "Contain" phase, during which
there is blanket treatment and prophylaxis).

    No | Treatment                     | Prophylaxis
    ---|-------------------------------|-------------------
     0 | All mild cases                | All cases
     1 | All mild cases                | High-risk, Elderly
     2 | All mild cases                | None
     3 | Children, High-Risk, Elderly  | None
     4 | No mild cases                 | None
     5 | None (*all* phases)           | None (*all* phases)

## Simulation Scripts

The LHS simulation template is stored in `template.in`, which determines the
appropriate parameter distributions for a given scenario and intervention, and
calls the LHS simulation framework.

To generate the individual simulation scripts, execute the following command:

    ./template.sh

This will produce script files of the form `ScenarioX_AVstrategyY.m` and, for
each such script, an accompanying `ScenarioX_AVstrategyY.rc` file that can be
used to launch the simulation inside a GNU Screen session, for example:

    screen -c Scenario7_AVstrategy1.rc

If you choose to run the simulation scripts without using these `.rc` files,
note that they should instead be executed via `run.sh`, which ensures that a
pool of parallel workers is created before running the script.
Otherwise, you may find that the LHS simulations only utilise a single core
rather than taking full advantage of a multi-core system.
