function cmp_samples(scenario, strat1, strat2)
    lhs1 = most_recent(sprintf('Scenario%d_AVstrategy%d', scenario, strat1));
    lhs2 = most_recent(sprintf('Scenario%d_AVstrategy%d', scenario, strat2));

    extra_checks = false;

    if (extra_checks)
        %% Check that the same parameters were sampled and kept fixed.
        all(strcmp(fieldnames(lhs1.lhs_data.parameter_samples), ...
                   fieldnames(lhs2.lhs_data.parameter_samples)))
        all(strcmp(fieldnames(lhs1.lhs_data.unsampled_params), ...
                   fieldnames(lhs2.lhs_data.unsampled_params)))
    end

    sample_names = fieldnames(lhs1.lhs_data.parameter_samples);
    for ix = 1:length(sample_names)
        name = sample_names{ix};
        vals1 = lhs1.lhs_data.parameter_samples.(name);
        vals2 = lhs2.lhs_data.parameter_samples.(name);
        cmps = vals1 == vals2;
        cmps = cmps(:);
        if (~ all(cmps))
            fprintf(1, 'DIFF: %s (%d of %d)\n', name, sum(~cmps), ...
                    length(cmps));
            if (extra_checks)
                mask = vals1 ~= vals2;
                abs_diffs = abs(vals1(mask) - vals2(mask));
                rel_diffs = abs_diffs ./ vals1(mask);
                %% [mean(abs_diffs), max(abs_diffs)]
                %% [mean(vals1(mask)), min(vals1(mask))]
                fprintf(1, '      Mean rel diff: %f\n', mean(rel_diffs));
                fprintf(1, '      Max  rel diff: %f\n', max(rel_diffs));
                fprintf(1, '\n');
            end
        end
    end

    fixed_names = fieldnames(lhs1.lhs_data.unsampled_params);
    for ix = 1:length(fixed_names)
        name = fixed_names{ix};
        vals1 = lhs1.lhs_data.unsampled_params.(name);
        vals2 = lhs2.lhs_data.unsampled_params.(name);
        cmps = vals1 == vals2;
        cmps = cmps(:);
        if (~ all(cmps))
            fprintf(1, 'DIFF: %s (%d of %d)\n', name, sum(~cmps), ...
                    length(cmps));
            if (extra_checks)
                mask = vals1 ~= vals2;
                abs_diffs = abs(vals1(mask) - vals2(mask));
                rel_diffs = abs_diffs ./ vals1(mask);
                %% [mean(abs_diffs), max(abs_diffs)]
                %% [mean(vals1(mask)), min(vals1(mask))]
                [mean(rel_diffs), max(rel_diffs)]
                fprintf(1, '      Mean rel diff: %f\n', mean(rel_diffs));
                fprintf(1, '      Max  rel diff: %f\n', max(rel_diffs));
            end
        end
    end
end
