function [durns] = epi_durn(strategy)
    if (nargin < 1)
        strategy = 5;
    end

    durns = zeros(7, 5);

    for ix = 1:7
        exp_name = sprintf('Scenario%d_AVstrategy%d', ix, strategy);
        data = most_recent(exp_name);
        %% Only use the CAR time points for the general population stratum.
        car05 = data.lhs_data.stats(1, :, 15);
        car95 = data.lhs_data.stats(1, :, 25);
        durn = squeeze(car95 - car05) / 7;
        durns(ix, :) = [ix, quantile(durn, [0.50 0.05 0.95]) mean(durn)];
    end
end
