% PCR/Syndromic strategy with treatment and prophylaxis

function [mat_file] = test_LHS()
    % Drop down a directory
    cd ../
    
    % load the model
    model = discrete_model();

    % define (over-riding default_dists) the parameter distributions
    param_dists = model.default_dists('PCR');
    % Switch to syndromic diagnosis once diagnostic capacity is exceeded
    param_dists.switchToSyndromic = dist_const(1);
    
    % Set the scenario
    param_dists.R0 = dist_const(1.38);
    param_dists.eta = dist_logflat(-4,-3);
        
    % Antiviral intervention
    %param_dists.Rxsev = dist_const(1.0);
    %param_dists.mu = dist_flat(0,1);
    %param_dists.sigma = dist_flat(0.1,0.6);
        
    samples = 3;
        
    param1 = struct(...
        'name', 'dummy', ...
        'description', 'dummy', ...
        'values', 1);
    
    [mat_file] = lhs(model, param_dists, samples, param1);

    % Restore directory
    cd experiments
end
